--- title: "GetExtendedStatus" slug: "management-cloudinsight-getextendedstatus" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getextendedstatus" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetExtendedStatus Available in Classic and VPC Get the collection configuration status of extended metrics for the instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET, POST | /cw_fea/real/cw/api/schema/extended/status | Note GET method is scheduled to be excluded from support in the future, so we recommend using the POST method. ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters When calling with the GET method, a request query parameter is required. You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `cw_key` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo) | | `instanceIds` | String | Required | Instance ID | ### Request body When calling with the POST method, a request body is required. You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodKey` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo) | | `servers` | Array | Required | Instance ID list | ### Request example The request example is as follows: #### When called by GET method The following is a sample request when called using the GET method. ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/schema/extended/status?cw_key=**********&instanceIds=**********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` #### When called by POST method The following is a sample request when called using the POST method. ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/schema/extended/status' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "prodKey": "**********", "servers": ["**********", "**********"] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `enabled` | Boolean | - | Whether collection of extended metrics is enabled - `true` \| `false` - `true`: enabled - `false`: disabled | | `instanceId` | String | - | Instance ID | ### Response status codes For response status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "enabled": false, "instanceId": "**********" } ] ```